## org.eclipse.m2m.atl.adt.ui.text.atl.types
Class MapType

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
          org.eclipse.m2m.atl.adt.ui.text.atl.types.MapType

    public class MapType

extends OclAnyType

The ATL Map type.

Field Summary

Fields inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`oclType`

Constructor Summary
`MapType(OclAnyType keyType, OclAnyType valueType)` Creates a new Map type with the given key and value types.

Method Summary
`OclAnyType` `getKeyType()`
`OclAnyType[]` `getSupertypes()`
`protected java.util.List<Operation>` `getTypeOperations()` Return the local type operations.
`OclAnyType` `getValueType()`

Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`create, equals, getFeatures, getInstance, getOclType, getOperations, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapType

    public MapType(OclAnyType keyType,
                   OclAnyType valueType)

  Creates a new Map type with the given key and value types.

  Parameters:
    `keyType` - the key type
    `valueType` - the value type

Method Detail

### getKeyType

    public OclAnyType getKeyType()

### getValueType

    public OclAnyType getValueType()

### getTypeOperations

    protected java.util.List<Operation> getTypeOperations()

  Return the local type operations. Subclasses may override this method to add their own operation to the supertypes's ones.

  Overrides:
    `getTypeOperations` in class `OclAnyType`
  Returns:
    the operations
  See Also:
    `org.eclipse.org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType#getTypeOperations()`

### getSupertypes

    public OclAnyType[] getSupertypes()

  Overrides:
    `getSupertypes` in class `OclAnyType`
  See Also:
    `org.eclipse.org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType#getSupertypes()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.